﻿/* Page Style container and position using a couple of flex containers for responsiveness */
html{overflow:hidden;}
body {margin: 0;background: #000;font-family:Roboto,'Open Sans',serif;}
h1 {text-align: center;}
.container {padding: 1em;display: flex;flex-direction: row;flex-wrap: wrap;border: 1px solid #ddd;margin: 2% auto;max-width:800px;}
.comment {flex: 1 0 50%;}
.videoContainer {flex: 0 1 50%;min-width: 280px;}
.videoContainer.iconized {max-width:30px;max-height:30px;min-height:0;min-width:0;height:30px;width:20px;}
/*Here we are using css custom properties (variables), feel free modify this variables with your preferred color scheme or use a more specific style in each element.*/
.videoContainer {--primary-foreground-color: white;--primary-background-color: black;--slider-bg-color: red;--slider-load-progress-color: gray;}
.videoContainer .video-js {font-size: 10px;color: var(--primary-foreground-color);}
.vjs-default-skin .vjs-big-play-button {
    /* We're using css vars here because the values are used in multiple places.
     Now that font size is set, the following em values will be a multiple of the
     new font size. If thelighten font-size is 3em (30px), then setting any of
     the following values to 3em would equal 30px. 3 * font-size. */
    --big-play-width: 3em;
    /* 1.5em = 45px default */
    --big-play-height: 1.5em;
    /* The font size is what makes the big play button...big.
     All width/height values use ems, which are a multiple of the font size.
     If the .video-js font-size is 10px, then 3em equals 30px.*/
    font-size: 3em;
    line-height: var(--big-play-height);
    height: var(--big-play-height);
    width: var(--big-play-width);
    /* 0.06666em = 2px default */
    border: 0.06666em solid var(--primary-foreground-color);
    /* 0.3em = 9px default */
    border-radius: 0.3em;
    /* Align center */
    left: 50%;
    top: 50%;
    margin-left: (var(--big-play-width) / 2);
    margin-top: (var(--big-play-height) / 2);
}

.stream-wrapper{width: calc(100% - 20px);padding: 10px;background-color:#000;}

/*#elementId1 video{max-height: 97vh!important;}*/
#elementId1{width:96%;height:97vh;margin:0 auto;}
#elementId1 iframe,
#gs-video-iframe{display:block!important;width:100%!important;height:97vh!important;border:0!important;}

.inplayercontent-wrapper{width: 100%;padding: 10px;background-color:#000;}

.videoContainer .video-js .vjs-control-bar,.videoContainer .video-js .vjs-big-play-button,.videoContainer .video-js .vjs-menu-button .vjs-menu-content {background-color: var(--primary-background-color);}
.videoContainer .video-js .vjs-slider {background-color: var(--slider-bg-color);}
.videoContainer .video-js .vjs-volume-level,.videoContainer .video-js .vjs-play-progress,.videoContainer .video-js .vjs-slider-bar {background: var(--primary-foreground-color);}
.videoContainer .video-js .vjs-load-progress {background: var(--slider-load-progress-color);}
.videoContainer .video-js .vjs-load-progress div {background: var(--slider-load-progress-color);}

.streaming-countdown-wrapper{
    position: relative;
    width:100%;
    height:0;
    padding: 0;
    padding-top: 56.2%;
    max-width: 100%;
}
.streaming-countdown-wrapper .streaming-countdown--box{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: grid;
    grid-template-columns: repeat(10, 10%);
    grid-template-rows: 40% 10% 50%;
    z-index: 0;
    color:#fff;
    font-size:1.1em;
    text-transform:uppercase;
}
.streaming-countdown--box > * {
    display: flex;
    align-items: center;
    background-color: transparent;
    text-align:center;
}
.streaming-countdown--box .item1 {
    grid-column: 1/span 3;
    margin-left: 20px;
    justify-content: center;
}
.streaming-countdown--box .item2 {
    grid-column: 4/span 4;
    justify-content: center;
}
.streaming-countdown--box .item3 {
    grid-column: 8/span 3;
    margin-right: 20px;
    justify-content: center;
}
.streaming-countdown--box .item4 {
    grid-column: 1/span 10;
    justify-content: center;
    text-transform:initial;
}
.streaming-countdown--box .item5 {
    grid-column: 1/span 10;
    flex-direction: column;
    justify-content: center;
    color: #fff;
    background-color: rgba(10,10,10,0.75);
    line-height: 1.2;
    font-size: 14px;
    font-weight: 700;
}

.streaming-countdown--box .item2 .team-names {
    display: flex;
    flex-wrap: nowrap;
    justify-content: center;
    align-items:center;
    width: 90%;
}
.streaming-countdown--box .item2 .team-names .team-home {
    text-align: right;
    flex: 0 1 auto;
}
.streaming-countdown--box .item2 .team-names .vs {
    flex: 0 0 40px;
    text-align: center;
}
.streaming-countdown--box .item2 .team-names .team-guest {
    text-align: left;
    flex: 0 1 auto;
    /*white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;*/
}

.streaming-countdown--box figure{
    opacity: 1;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    position: absolute;
    z-index: -1;
    width:100%;
    height:auto;
    overflow:hidden;
    margin:0;
}
.streaming-countdown--box figure > img {
    width:100%;
    height:100%;
    margin:0 auto;
    -webkit-transform: scale(1);
    transform: scale(1);
    -webkit-transition: .2s ease-in-out;
    transition: .2s ease-in-out;
}

.streaming-countdown--box .team-logo {
    width: 110px;
    height: 110px;
    background-repeat: no-repeat;
    border: 1px solid #707070;
    border-radius: 50%;
    background-position: center;
    background-size: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    position:relative;
}

.streaming-countdown--box .team-logo:after{
    position:absolute;
    width: 94px;
    height: 94px;
    border: 3px solid #1e2e71;
    border-radius: 50%;
    content:" ";
}

/*.tick {
    padding-top: 1rem;
    padding-bottom: 1rem;
    font-size: 3rem;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
}
.tick .tick-label {font-size: .375em;text-align: center;}
.tick .tick-group {margin: 0 .25em;text-align: center;}
.tick .tick-flip {margin-left: .0625em;margin-right: .0625em;}
.tick .tick-flip-panel {color: #eee;background-color: #1e2e71;}*/

.countdown-title{padding-top:20px;}
.countdown-content-wrapper{
    display:flex;
    flex-wrap:nowrap;
    align-content:center;
    justify-content:space-between;
    padding:20px 10px 20px 20px;
    width: 90vw;
    /*max-width:576px;*/
    max-width:350px;
}
.countdown-content-single{
    margin-right: 10px;
}
.countdown-content-single.countdown-content-ss{display:none;}
.countdown-content-number{/*font-size:2em;*/font-size:70px;}
.countdown-content-label{font-size:1em;}

.techissue-wrapper {
    text-transform:uppercase;
    font-size:30px;
    color:#fff;
    display:flex;
    width:100vw;
    height:calc(100vh - 20px);
    justify-content:center;
    align-items:center;
    background-color:#000;
    margin-left:-10px;
}
.techissue-wrapper > div{
    font-size:30px;
    color:#fff;
    background-color: #a90000;
    padding:20px;
    text-align:center;
    width:100%;
}

/* GENIUS LIVE PLAYER*/
#geniusLive.geniusLive .genius-live-player-1n0bsuu{ left:0!important;}


@media (max-width:575px){
    .streaming-countdown-wrapper{padding-top:unset;height:100%;}
    .streaming-countdown-wrapper .streaming-countdown--box {
        grid-template-rows: 70px 140px 70px 140px;
        position:relative;
    }
    .streaming-countdown--box .item1 {
        grid-row: 2/span 1;
        grid-column: 1/span 5;
        margin-left: 0;
        justify-content: center;
    }
    .streaming-countdown--box .item2 {
        grid-row: 1/span 1;
        grid-column: 1/span 10;
        justify-content: center;
    }
    .streaming-countdown--box .item3 {
        grid-row: 2/span 1;
        grid-column: 6/span 5;
        margin-right: 0;
        justify-content: center;
    }
    .streaming-countdown--box .item4 {
        grid-row: 3/span 1;
        grid-column: 1/span 10;
        justify-content: center;
        font-size:14px;
    }
    .streaming-countdown--box .item5 {
        grid-column: 1/span 10;
        flex-direction: column;
        /*justify-content: center;*/
        color: #fff;
        background-color: rgba(10,10,10,0.75);
        line-height: 1.2;
        font-size: 14px;
        font-weight: 700;
    }
    .tick *{font-size:70px!important;}
    .tick [data-layout~=horizontal][data-layout~=fit] {flex-direction:column!important;}
    .tick .tick-group {margin-bottom: 10px;}
    .countdown-content-wrapper {
        justify-content: space-between;
        max-width: 100vw;
        width: 100%;
    }
    .countdown-content-single {flex:0 1 25%;}
    .countdown-content-number {font-size:44px;}

}

@media (max-height:575px) and (orientation: landscape) {
    .stream-wrapper {
        width: 100%;
        padding: 0;
    }

    #elementId1 {
        width: 100%;
        height: calc(100vh - 16px);
    }

    #elementId1 iframe,
    #gs-video-iframe {
        height: calc(100vh - 16px) !important;
    }
}

@supports (height: 100dvh) {
    @media (max-height:575px) and (orientation: landscape) {
        #elementId1,
        #elementId1 iframe,
        #gs-video-iframe {
            height: calc(100dvh - 16px) !important;
        }
    }
}